Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219329 - New package: Decibel Audio Player
Summary: New package: Decibel Audio Player
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://decibel.silent-blade.org/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2008-04-26 10:11 UTC by nm (RETIRED)
Modified: 2010-01-25 09:25 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,1.34 KB, text/plain)
2008-04-26 10:11 UTC, nm (RETIRED)
Details
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,1.25 KB, text/plain)
2008-04-27 06:21 UTC, nm (RETIRED)
Details
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,1.23 KB, text/plain)
2008-04-27 07:04 UTC, nm (RETIRED)
Details
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,1.21 KB, text/plain)
2008-04-27 08:25 UTC, nm (RETIRED)
Details
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,1.03 KB, text/plain)
2008-04-27 21:57 UTC, nm (RETIRED)
Details
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,1002 bytes, text/plain)
2008-05-12 20:20 UTC, nm (RETIRED)
Details
decibel-audio-player-0.09.ebuild (decibel-audio-player-0.09.ebuild,989 bytes, text/plain)
2008-05-12 23:12 UTC, nm (RETIRED)
Details
decibel-audio-player-0.10.ebuild (decibel-audio-player-0.10.ebuild,989 bytes, text/plain)
2008-05-12 23:26 UTC, nm (RETIRED)
Details
decibel-audio-player-0.10.ebuild (decibel-audio-player-0.10.ebuild,996 bytes, text/plain)
2008-05-15 10:17 UTC, nm (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nm (RETIRED) gentoo-dev 2008-04-26 10:11:15 UTC
"Decibel Audio Player is a GTK+ open-source (GPL license) audio player designed for GNU/Linux, which aims at being very straightforward to use by means of a very clean and user friendly interface. It is especially targeted at Gnome and will follow as closely as possible the Gnome HIG."

I will be updating the ebuild here and on my devspace. Ebuilds and installation instructions etc. are at:
http://dev.gentoo.org/~nightmorph/decibel/ . Works on AMD64 and x86 so far.

CCing the projects most likely to be interested in adding it to the tree. :)
Comment 1 nm (RETIRED) gentoo-dev 2008-04-26 10:11:42 UTC
Created attachment 150999 [details]
decibel-audio-player-0.09.ebuild
Comment 2 Donnie Berkholz (RETIRED) gentoo-dev 2008-04-26 19:13:22 UTC
Generally looks good. There are USE flags doing nothing but pulling in dependencies. USE flags need to do something during the build, for example $(use_enable foo) to configure.
Comment 3 Donnie Berkholz (RETIRED) gentoo-dev 2008-04-26 19:14:22 UTC
Oh yeah. As we were discussing last night, you might want to pass prefix to the install rather than sedding the Makefile.
Comment 4 nm (RETIRED) gentoo-dev 2008-04-27 01:40:07 UTC
(In reply to comment #2)
> Generally looks good. There are USE flags doing nothing but pulling in
> dependencies. USE flags need to do something during the build, for example
> $(use_enable foo) to configure.

I took a look at the ebuilds for other gstreamer-based apps. They all include USE flags for desired optional playback capabilities: Rhythmbox, Muine, Exaile, Banshee . . .

The devmanual does not require that USE flags be used only for compile switches in autotools-based packages. Source: http://devmanual.gentoo.org/general-concepts/use-flags/index.html

Also, I tried passing prefix to emake/einstall, but it didn't like it. Much of the app didn't install to /usr, but to the temporary build image.
Comment 5 nm (RETIRED) gentoo-dev 2008-04-27 06:21:09 UTC
Created attachment 151098 [details]
decibel-audio-player-0.09.ebuild

Updated ebuild; patching the Makefile isn't necessary. Thanks to zlin on #gentoo-dev-help for explaining when to properly use DESTDIR and ${D}. Now passing prefix=/usr works correctly.
Comment 6 nm (RETIRED) gentoo-dev 2008-04-27 07:04:50 UTC
Created attachment 151103 [details]
decibel-audio-player-0.09.ebuild

No need for pkgconfig; use gettext.

Also, some folks have suggested that USE deps for desired functionality are not the proper solution. I should point out that the package does no compile-time or run-time linking/discovery on its own. Instead, the python code merely inherits "gst", and presumably from there gstreamer knows what plugins it has available. I assume the app will die if a user tries to play a file that doesn't have proper plugin support.

If there's a better way of doing these optional dependencies, such as using gst-plugins-meta, then I'm all ears. However, the only version of -meta that can be used this way is still hardmasked (on amd64 at least), so it needs to be ~arch or better.

I'd prefer to find a dependency solution that doesn't involve alerting users in elog/postinstall, nor should they have to clutter up their world file with several explicitly emerged gstreamer plugins.
Comment 7 nm (RETIRED) gentoo-dev 2008-04-27 08:25:16 UTC
Created attachment 151108 [details]
decibel-audio-player-0.09.ebuild

Intltool isn't really necessary; gettext suffices. Per a suggestion of zlin's.

Oh, and the stuff in the previous comment still stands. :)
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-04-27 11:13:36 UTC
ebuild looks good but you really should replace all that gst USE flag crazyness by gs-plugins-meta. It's not hardmasked at least on amd64 and x86 since those arches have gnome 2.22 not hardmasked for a while already. You can get a decent warning message from totem or rhythmbox ebuild.
Comment 9 nm (RETIRED) gentoo-dev 2008-04-27 21:57:38 UTC
Created attachment 151190 [details]
decibel-audio-player-0.09.ebuild

Depend on gst-plugins-meta instead of a bunch of separate packages. Note that of the audio codecs, aac and musepack are still listed individually in RDEPEND, as they aren't in the gst metapackage.
Comment 10 Markus Rothe (RETIRED) gentoo-dev 2008-05-12 19:28:53 UTC
I read on planet.g.o about this player and just tried your ebuild. It looks almost sane and the package works on ppc/ppc64, too. You are free to commit it with ~ppc/~ppc64 in KEYWORDS.

Why "almost sane"? Well, short description isn't exactly short. ;-) My proposal:

DESCRIPTION="GTK+ audio player which aims at being very straightforward to use"
Comment 11 nm (RETIRED) gentoo-dev 2008-05-12 20:20:05 UTC
Created attachment 152981 [details]
decibel-audio-player-0.09.ebuild

Added ~ppc/~ppc64 keywords, and shortened DESCRIPTION.

corsair:

Thanks for testing! Good to know it works on PPC. The description I took straight from the package homepage, but I like your shortened version a bit more, yeah?

I'd add the package to Portage myself, but I'm a docs monkey -- no commit access to gentoo-x86. :)
Comment 12 Alexis Ballier gentoo-dev 2008-05-12 22:50:22 UTC
(In reply to comment #11)

> I'd add the package to Portage myself, but I'm a docs monkey -- no commit
> access to gentoo-x86. :)


Ha I didnt think about that. If you need a monkey for proxying you, just poke me, though I'm only in sound.

I have a few questions/remarks:
- why are all the deps in depend too ? are they really needed at build time ? it seems they're only rdepend (only gettext seems to be called at build time) from a quick check.
- $ desktop-file-validate /usr/share/applications/decibel-audio-player.desktop
/usr/share/applications/decibel-audio-player.desktop: warning: value "decibel-audio-player.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
- 0.10 is out ;)
Comment 13 nm (RETIRED) gentoo-dev 2008-05-12 23:12:47 UTC
Created attachment 152997 [details]
decibel-audio-player-0.09.ebuild

Removed RDEPs from the DEPEND line, per aballier's comment.

aballier:

That desktop entry/icon thing is in the package itself -- should a bug for that go upstream?
Comment 14 nm (RETIRED) gentoo-dev 2008-05-12 23:26:20 UTC
Created attachment 153001 [details]
decibel-audio-player-0.10.ebuild

Argh, I meant to upload this one last time. It's just a rename, and it does not contain the fix for the desktop entry; waiting on upstream for that. Which, by the way, will still show up in the menu, but yeah, it's technically invalid. :)

I filed bug 229767 upstream regarding the .desktop entry:
https://bugs.launchpad.net/decibel-audio-player/+bug/229767
Comment 15 Alexis Ballier gentoo-dev 2008-05-13 18:08:58 UTC
thanks for filling the bug report.

I was about to commit it but ran into tons of bad deps:
 media-sound/decibel-audio-player/decibel-audio-player-0.10.ebuild: ~amd64(hardened/amd64) ['>=media-plugins/gst-plugins-meta-0.10-r2']

and friends. Is there a reason to require -r2 ? -r0 doesnt give all these errors.

and also:
 media-sound/decibel-audio-player/decibel-audio-player-0.10.ebuild: ~ppc64(default-linux/ppc/ppc64/2006.1/64bit-userland) ['dev-python/notify-python']

I guess I can test and keyword it at work tomorrow if corsair isn't quicker ;)


what would you want as a use.local.desc entry for cdaudio useflag ?
I was thinking about:
Enable cd audio playback support


If you have a nice long description for metadata.xml I could add one too ;)
Comment 16 nm (RETIRED) gentoo-dev 2008-05-14 01:07:27 UTC
(In reply to comment #15)
> thanks for filling the bug report.
> 
> I was about to commit it but ran into tons of bad deps:
>  media-sound/decibel-audio-player/decibel-audio-player-0.10.ebuild:
> ~amd64(hardened/amd64) ['>=media-plugins/gst-plugins-meta-0.10-r2']
> 
> and friends. Is there a reason to require -r2 ? -r0 doesnt give all these
> errors.

Because -r0 lacks most of the necessary runtime dependencies. If .10 or .10-r1 were used, the ebuild would have to be filled with individual RDEP USE flags for various gstreamer plugins, which is contrary to the purpose of the meta-ebuild.

Right now, gst-plugins-meta-0.10-r2 is only in package.mask for some arches because it will be unmasked as part of Gnome 2.22 (leio, remi, and the Gnome team have more info on that). 0.10-r2 is marked ~arch (and not hardmasked) on amd64 and x86 at least.
 
> and also:
>  media-sound/decibel-audio-player/decibel-audio-player-0.10.ebuild:
> ~ppc64(default-linux/ppc/ppc64/2006.1/64bit-userland)
> ['dev-python/notify-python']
> 
> I guess I can test and keyword it at work tomorrow if corsair isn't quicker ;)

I suppose so. But isn't the 2006.1 profile supposed to be marked deprecated for all arches? I know I saw a few commits related to that recently...maybe it was for 2006.0. Still, 2006.1 profiles == t3h fail. :D

> what would you want as a use.local.desc entry for cdaudio useflag ?
> I was thinking about:
> Enable cd audio playback support

How about the description I use in my guide? (http://dev.gentoo.org/~nightmorph/decibel/):
"Adds support for CD audio playback and lookups via CDDB"

. . . this is close to the description in use.local.desk that I based it on, "Enable CD audio playback support" -- mine is clearer because it tells users they will also be getting CDDB support.

> If you have a nice long description for metadata.xml I could add one too ;)

From the home page:
"Decibel is a GTK+ audio player which aims at being very straightforward to use by means of a very clean and user friendly interface."
Comment 17 nm (RETIRED) gentoo-dev 2008-05-15 10:17:19 UTC
Created attachment 153211 [details]
decibel-audio-player-0.10.ebuild

Updated ebuild. Thanks to:

- aballier, for correctly pointing out that it should dep on plugins-faad for decoding mp4
- leio, for unmasking gst-plugins-meta-0.10-r2
- armin76, for testing and requesting sparc keywording
Comment 18 Alexis Ballier gentoo-dev 2008-05-16 05:50:52 UTC
(In reply to comment #17)
> Created an attachment (id=153211) [edit]
> decibel-audio-player-0.10.ebuild
> 
> Updated ebuild. 

In tree, thanks a lot !

@gnome/gstreamer: I havent put you in metadata.xml as I'm not a member of your teams, but if you wish to help and add yourself there, you are very welcome
Comment 19 Rémi Cardona gentoo-dev 2008-05-16 07:42:56 UTC
(In reply to comment #18)
> @gnome/gstreamer: I havent put you in metadata.xml as I'm not a member of your
> teams, but if you wish to help and add yourself there, you are very welcome

Maybe if one of us starts using Decibel :) But do feel free to add us CC to bugs if you feel they concern us, we'll be happy to comment or help out.
Comment 20 Soldatov Dmitriy 2009-07-21 11:08:25 UTC
It seems that built without gnome-keyring and libnotify support Decibel failes to ask Last.fm acoount information for audioscrobbling plugin. I think there must be warning in ebuild.
Comment 21 Samuli Suominen gentoo-dev 2009-07-21 12:05:33 UTC
(In reply to comment #20)
> It seems that built without gnome-keyring and libnotify support Decibel failes
> to ask Last.fm acoount information for audioscrobbling plugin. I think there
> must be warning in ebuild.
> 

Please stop spamming an old bug that has been fixed already. If you have issues, open a new bug. Thanks.
Comment 22 Audio Bugs 2010-01-25 09:25:03 UTC
(Spam administratively removed, by robbat2@gentoo.org, at Tue, 26 Jan 2010 05:07:57 +0000)